// App
// -----------------------------------------------------------------------------
import { CorrelationRulesGroupRecord } from 'types/default';
import { GenericDataStore } from './GenericDataStore';
import { environment } from 'enviroments/enviroments';

export class CorrelationRulesGroupStore extends GenericDataStore<CorrelationRulesGroupRecord> {
  constructor() {
    super(environment.correlations.groups);
    this.override();
  }

  getId = (entity: CorrelationRulesGroupRecord): number => entity.id;

  getName = (entity: CorrelationRulesGroupRecord): string => entity.name;
}
